**EXTENSION**

# `ConformanceLevel`

## Properties
### `text`

```swift
public var text: String
```

> The text representation of the conformance level.

## Methods
### `init(contrastRatio:fontSize:isBoldFont:)`

```swift
public init(contrastRatio: CGFloat, fontSize: CGFloat, isBoldFont: Bool)
```

> Initializes a ConformanceLevel based on a given contrast ratio and font information used for the text.
>
> - Parameters:
>     - contrastRatio: The contrast ratio of a text and its background.
>     - fontSize: The font size of the text.
>     - isBoldFont: Information regarding the font weight.

#### Parameters

| Name | Description |
| ---- | ----------- |
| contrastRatio | The contrast ratio of a text and its background. |
| fontSize | The font size of the text. |
| isBoldFont | Information regarding the font weight. |